Project Description:
In the DataPrepKit capstone project, students will embark on developing a Python package named "DataPrepKit." This package aims to be a comprehensive toolkit for preprocessing datasets. Utilizing their knowledge in NumPy and Pandas, students will create a series of functions that assist in reading data from a variety of file formats, summarizing datasets, managing missing values, and encoding categorical data. The ultimate goal of this project is to publish the DataPrepKit package on PyPI, thereby making it available to the wider Python community.

Key Features:

1. Data Reading:

- Objective: Implement functions that can read data from different file formats such as CSV, Excel, and JSON.
- Tools: Use Pandas for efficient data importing.

2. Data Summary:

- Objective: Develop functions to print key statistical summaries of the data, including metrics like the average and most frequent values.
- Tools: Utilize NumPy and Pandas to generate these summaries.

3. Handling Missing Values:

- Objective: Create functions for addressing missing values, offering solutions to either remove or impute them based on set strategies.
- Tools: Employ methods that ensure data integrity.

4. Categorical Data Encoding:

- Objective: Design functions for encoding categorical data, allowing their conversion into numerical formats for analysis.
- Tools: Implement encoding techniques effectively.
